<doctype! html>
<head>
	<meta charset="utf-8">
	<title>Jeux de la fourchette</title>
	<link rel="stylesheet" type="fourchette.css" href="">
</head>

<body>
	<button type="button" id="test" onclick="fourchette()">Lance la fourchette</button>
	<button type="button" id="inverse" onclick="inverse()">Lance la fourchette à l'envers</button>

	<img src="fourchette.jpg">
	<script type="text/javascript">
		function fourchette () {
		var x=document.getElementById("test");
		x.onclick = true;
		var personne = prompt("Je pense à un nombre entre 1 et 100..");
		var ordi = Math.floor(Math.random()*100+1);
		var tentative = 9;

		
		while (personne!=ordi){

			if (isNaN(personne)){
				alert("Jai pas compris..");
				personne = prompt("Trouve le chiffre auquel je pense");
			} else {

			if (personne < ordi) {
				alert ("Plus grand. Il te reste "+ tentative-- +".Encore une fois");
			} else {
				alert ("Plus petit. Il te reste "+ tentative-- +".Ne perds pas espoir.");
			}
			personne = prompt("Trouve le chiffre auquel je pense");

			if (tentative == 0){
				alert("Tu ne peux plus jourer.");
				return;
			}
		}
	}
		alert ("Champion !");
	}
		function inverse (){
		var a=document.getElementById("inverse");
		a.onclick = true;
		var joueur;
		var min;
		var max;
		var computer = Math.floor((max+min)/2);

			min=prompt("Choisis un minimum");
			max=prompt("Choisis un maximum");

			while (joueur != "super"){
				joueur = prompt ("Je pense au chiffre "+computer+".");

				if (joueur != "plus" && "moins"){
					alert("j'ai pas compris");
				}

				else {
					if (joueur == "plus"){
						min = computer;
						computer = Math.floor((min+max)/2);
					}
					else {
						max = computer;
						computer = Math.floor((min+max)/2);
					}
				}
			}			
			alert ("Champion !");
			}

	</script>
</body>